const custom_items_no_tooltips = [
    'crif',
    'siren',
    'worm',
    'stymphalian_bird',
    'myrmex',
    'cockatrice',
    'sea_dragon',
    'troll',
    'fire_dragon',
    'ice_dragon',
    'gorgon',
    'cyclop',
    'hydra',
    'ghost',
    'lightnin_dragon',
    'phantom_wing',
    "create_title",
    "adjacent",
    "perpendicular",
    "cogwheel",
    "water_wheel",
    "precision_screenshot",
    "draconium_sheet",
    "incomplete_core",
    "incomplete_wyvern_core",
    "compressed_draconium_ingot",
    "incomplete_awakened_core",
    "awakened_draconium_sheet",
    "draconium_ore_piece",
    "fill_a_repairkit",
    "use_a_rapairkit",
    "core",
    "rat",
    'incomplete_logic_processor',
    'incomplete_calculation_processor',
    'incomplete_engineering_processor',
    'certus_quartz_sheet',
    'charged_certus_quartz_sheet',
    'charged_certus_quartz_dust',
    'diamond_sheet',
    'lapis_sheet',
    'diamond_shard'

];

// Create kubejs items
onEvent('item.registry', event => {

    // KubeJs vanilla tools replacements
    for (let tool of global.item_id){
        let name = global.id_to_name(tool);
        event.create(tool).displayName(name).tooltip('This won\'t work... but maybe it can be used for craftings').unstackable();
    };

    // Items with no tooltip
    for (let item of custom_items_no_tooltips){
        let name = global.id_to_name(item);
        event.create(item).displayName(name);
    }
});

//phantom head
onEvent('block.registry', event => {
    event.create('phantom_head').material('slime').hardness(0.5).displayName('Phantom Head').notSolid()
})
    //Incomplete parts for create assembly recipes
    //incomplete core
    onEvent('item.registry', event => {
    //Incomplete Core
        event.create('incomplete_core').type('create:sequenced_assembly').displayName('Incomplete Core')
    //Incomplete Wyvern Core
        event.create('incomplete_wyvern_core').type('create:sequenced_assembly').displayName('Incomplete Wyvern Core')
    //Incomplete Awakened Core
        event.create('incomplete_wyvern_core').type('create:sequenced_assembly').displayName('Incomplete Awakened Core')
    //Engineering Processor
        event.create('incomplete_engineering_processor').type('create:sequenced_assembly').displayName('Incomplete Engineering Processor')
    //Calculation Processor
        event.create('incomplete_calculation_processor').type('create:sequenced_assembly').displayName('Incomplete Calculation Processor')
    //Logic Processor
        event.create('incomplete_logic_processor').type('create:sequenced_assembly').displayName('Incomplete Logic Processor')
        event.create('silicon_with_electron_tube').displayName('Integrated Circuit').maxDamage(5)
        event.create('silicon_with_electron_tube_and_a_cogwheel').displayName('Integrated Circuit').maxDamage(5)
        event.create('integrated_circuit_1').displayName('Integrated Circuit').maxDamage(5)
        event.create('integrated_circuit_2').displayName('Integrated Circuit').maxDamage(5)
        event.create('integrated_circuit').displayName('Integrated Circuit')
        event.create('lightning_dragon_soul').displayName('Lightning Dragon Soul').glow(true).rarity(RARITY_EPIC)
        event.create('ice_dragon_soul').displayName('Ice Dragon Soul').glow(true).rarity(RARITY_EPIC)
        event.create('fire_dragon_soul').displayName('Fire Dragon Soul').glow(true).rarity(RARITY_EPIC)
        // event.create('dragonsteelium').displayName('Dragonsteelium').glow(true).rarity(RARITY_EPIC)

        
    })

//Draconium Node
onEvent('block.registry', event => {
    event.create('draconium_node').material('stone').hardness(0.5).displayName('Draconium Node')
    .noDrops()
  })